Skip to main content

Submit the health information data request acknowledgement from HIP

Acknowledge the Health information request receipt. Either the hiRequest or error must be specified.

POST/api/hiecm/data-flow/v3/health-information/hip/on-request

hiRequest element returns the same transaction ID as before with a status indicating that the request is acknowledged.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Body

hiRequestobjectRequired
hiRequest.transactionIdstringRequired

The UUID generated when the health information request was initiated.Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$"

hiRequest.sessionStatusstringRequired

The status of the health information request that was initiated.Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$"

responseobjectRequired

The request id from the /hip/health-information/request callback. Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"

response.requestIdstringRequired

The requestId that was passed

Responses

400

Bad Request

Error codes for this module

codestringRequired

ABDM-1031 - Invalid request. May be returned either bare (ABDM-1031) or with a trailing ": " separator (ABDM-1031: ); match on the code itself and tolerate the separator.

messagestringRequired
401

Unauthorized

Everything returns 401

codestringRequired

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestringRequired
descriptionstringRequired
500

Internal Server Error

Error codes for this module

codestring

900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • You make this call in reply to Health information data request to HIP., which ABDM posts to /api/v3/hip/health-information/request. Open the callback.